DEVICE = {
    'LG': [
        {'device_model': 'LG G7 ThinQ', 'device_board': 'judyln', 'device_vendor': 'qcom', 'device_version': '8'},
        {'device_model': 'LG V30', 'device_board': 'lucye', 'device_vendor': 'qcom', 'device_version': '8'},
        {'device_model': 'LG V40 ThinQ', 'device_board': 'storm', 'device_vendor': 'qcom', 'device_version': '9'},
        {'device_model': 'LG G8X ThinQ', 'device_board': 'g8x', 'device_vendor': 'qcom', 'device_version': '9'},
        {'device_model': 'LG Velvet', 'device_board': 'rainbow', 'device_vendor': 'qcom', 'device_version': '10'},
        {'device_model': 'LG Wing', 'device_board': 'wing', 'device_vendor': 'qcom', 'device_version': '10'}],
    'ASUS': [
        {'device_model': 'ZenFone 6', 'device_board': 'ZS630KL', 'device_vendor': 'qcom', 'device_version': '9'},
        {'device_model': 'ZenFone 7', 'device_board': 'ZS670KS', 'device_vendor': 'qcom', 'device_version': '10'},
        {'device_model': 'ZenFone 8', 'device_board': 'ZS590KS', 'device_vendor': 'qcom', 'device_version': '11'},
        {'device_model': 'ASUS ROG Phone 5', 'device_board': 'I005DA', 'device_vendor': 'qcom', 'device_version': '11'},
        {'device_model': 'ZenFone 7 Pro', 'device_board': 'ZS670KA', 'device_vendor': 'qcom', 'device_version': '10'},
        {'device_model': 'ROG Phone 3', 'device_board': 'I003D', 'device_vendor': 'qcom', 'device_version': '10'}],
    'OPPO': [
        {'device_model': 'CPH1923','device_board': 'OP486C','device_vendor': 'mt6765','device_version': '9'},
        {'device_model': 'CPH2185','device_board': 'OP4F2F','device_vendor': 'mt6765','device_version': '10'},
        {'device_model': 'CPH2109','device_board': 'OP4BA5L1','device_vendor': 'qcom','device_version': '11'},
        {'device_model': 'CPH2135','device_board': 'OP4EFDL1','device_vendor': 'qcom','device_version': '12'},
        {'device_model': 'CPH2481','device_board': 'OP5709L1','device_vendor': 'mt6789','device_version': '13'}],
    'VIVO': [
        {'device_model': 'vivo 1910','device_board': '1910','device_vendor': 'qcom','device_version': '9'},
        {'device_model': 'vivo 1907','device_board': '1907','device_vendor': 'mt6768','device_version': '12'},
        {'device_model': 'vivo 1909','device_board': '1909','device_vendor': 'qcom','device_version': '11'},
        {'device_model': 'vivo 2026','device_board': '2026','device_vendor': 'mt6765','device_version': '11'},
        {'device_model': 'vivo 1938','device_board': '1938','device_vendor': 'mt6765','device_version': '12'}],
    'TECNO': [
        {'device_model': 'TECNO Phantom 9', 'device_board': 'phantom9', 'device_vendor': 'mt6765', 'device_version': '9'},
        {'device_model': 'TECNO Pova', 'device_board': 'pova', 'device_vendor': 'mt6769', 'device_version': '10'},
        {'device_model': 'TECNO Camon 16', 'device_board': 'cd6', 'device_vendor': 'mt6768', 'device_version': '10'},
        {'device_model': 'TECNO Spark 6', 'device_board': 'k6', 'device_vendor': 'mt6762', 'device_version': '10'},
        {'device_model': 'TECNO Spark 7', 'device_board': 'k7', 'device_vendor': 'mt6765', 'device_version': '11'},
        {'device_model': 'TECNO Camon 18', 'device_board': 'cd7', 'device_vendor': 'mt6781', 'device_version': '11'}],
    'GOOGLE': [
        {'device_model': 'Pixel 4', 'device_board': 'coral', 'device_vendor': 'sdm855', 'device_version': '10'},
        {'device_model': 'Pixel 4a', 'device_board': 'sunfish', 'device_vendor': 'sdm730', 'device_version': '11'},
        {'device_model': 'Pixel 5', 'device_board': 'redfin', 'device_vendor': 'sdm765', 'device_version': '11'},
        {'device_model': 'Pixel 6', 'device_board': 'oriole', 'device_vendor': 'google', 'device_version': '12'},
        {'device_model': 'Pixel 6a', 'device_board': 'bluejay', 'device_vendor': 'google', 'device_version': '12'},
        {'device_model': 'Pixel 7', 'device_board': 'cheetah', 'device_vendor': 'google', 'device_version': '13'}],
    'REALME': [
        {'device_model': 'RMX3363','device_board': 'RE54ABL1','device_vendor': 'qcom','device_version': '12'},
        {'device_model': 'RMX3624','device_board': 'RE5894','device_vendor': 'qcom','device_version': '12'},
        {'device_model': 'RMX3201','device_board': 'RMX3201','device_vendor': 'mt6765','device_version': '11'},
        {'device_model': 'RMX3269','device_board': 'RED8F6','device_vendor': 'qcom','device_version': '11'},
        {'device_model': 'RMX2020','device_board': 'RMX2020','device_vendor': 'mt6768','device_version': '10'}],
    'XIAOMI': [
        {'device_model': 'Redmi 6','device_board': 'cereus','device_vendor': 'mt6765','device_version': '9'},
        {'device_model': 'Redmi 7','device_board': 'onc','device_vendor': 'qcom','device_version': '9'},
        {'device_model': 'Redmi Note 7 Pro','device_board': 'violet','device_vendor': 'qcom','device_version': '10'},
        {'device_model': 'Redmi Note 8 Pro','device_board': 'begonia','device_vendor': 'mt6785','device_version': '10'},
        {'device_model': 'Redmi Note 9 Pro','device_board': 'ginkgo','device_vendor': 'qcom','device_version': '12'}],
    'HUAWEI': [
        {'device_model': 'JLN-LX1','device_board': 'HWJLN-Q','device_vendor': 'qcom','device_version': '11'},
        {'device_model': 'LIO-L29','device_board': 'HWLIO','device_vendor': 'kirin990','device_version': '10'},
        {'device_model': 'HRY-LX1T','device_board': 'HWHRY-HF','device_vendor': 'kirin710','device_version': '10'},
        {'device_model': 'ELE-L29','device_board': 'HWELE','device_vendor': 'kirin980','device_version': '10'},
        {'device_model': 'MRD-LX1F','device_board': 'HWMRD-M1','device_vendor': 'mt6761','device_version': '10'}],
    'INFINIX': [
        {'device_model': 'Infinix X657B','device_board': 'Infinix-X657B','device_vendor': 'mt6761','device_version': '11'},
        {'device_model': 'Infinix X688B','device_board': 'Infinix-X688B','device_vendor': 'mt6765','device_version': '11'},
        {'device_model': 'Infinix X682B','device_board': 'Infinix-X682B','device_vendor': 'mt6769','device_version': '10'},
        {'device_model': 'Infinix X6515','device_board': 'Infinix-X6515','device_vendor': 'mt6761','device_version': '12'},
        {'device_model': 'Infinix X676B','device_board': 'Infinix-X676B','device_vendor': 'mt6789','device_version': '12'}],
    'SAMSUNG': [
        {'device_model': 'SM-A125F','device_board': 'a12','device_vendor': 'mt6765','device_version': '12'},
        {'device_model': 'SM-A127F','device_board': 'a12s','device_vendor': 'exynos850','device_version': '13'},
        {'device_model': 'SM-A225M','device_board': 'a22','device_vendor': 'mt6769t','device_version': '13'},
        {'device_model': 'SM-A127F','device_board': 'a12s','device_vendor': 'exynos850','device_version': '13'},
        {'device_model': 'SM-A135F','device_board': 'a13','device_vendor': 'exynos850','device_version': '13'}]}

DEVICE_LIST = [line for line in list(DEVICE.keys())]

COUNTRY = {
    'ID': {'number': '62', 'language': 'id_ID', 'operator': ['XL', 'Indosat Ooredoo', '3', 'Telkomsel', 'Axis']},
    'US': {'number': '1', 'language': 'en_US', 'operator': ['Verizon', 'AT&T', 'T-Mobile', 'Sprint']},
    'CN': {'number': '86', 'language': 'zh_CN', 'operator': ['China Mobile', 'China Unicom', 'China Telecom']},
    'IN': {'number': '91', 'language': 'hi_IN', 'operator': ['Airtel', 'Jio', 'Vodafone Idea', 'BSNL']},
    'JP': {'number': '81', 'language': 'ja_JP', 'operator': ['NTT Docomo', 'SoftBank', 'KDDI']},
    'BR': {'number': '55', 'language': 'pt_BR', 'operator': ['Vivo', 'Claro', 'TIM', 'Oi']},
    'RU': {'number': '7', 'language': 'ru_RU', 'operator': ['MTS', 'Beeline', 'Megafon', 'Tele2']},
    'DE': {'number': '49', 'language': 'de_DE', 'operator': ['Deutsche Telekom', 'Vodafone', 'O2', '1&1']},
    'NG': {'number': '234', 'language': 'en_NG', 'operator': ['MTN', 'Airtel', 'Globacom', '9mobile']},
    'MX': {'number': '52', 'language': 'es_MX', 'operator': ['Telcel', 'Movistar', 'AT&T Mexico']},
    'AU': {'number': '61', 'language': 'en_AU', 'operator': ['Telstra', 'Optus', 'Vodafone']},
    'CA': {'number': '1', 'language': 'en_CA', 'operator': ['Rogers', 'Bell', 'Telus', 'Fido']},
    'GB': {'number': '44', 'language': 'en_GB', 'operator': ['EE', 'Vodafone', 'O2', 'Three']},
    'FR': {'number': '33', 'language': 'fr_FR', 'operator': ['Orange', 'SFR', 'Bouygues Telecom', 'Free Mobile']},
    'IT': {'number': '39', 'language': 'it_IT', 'operator': ['TIM', 'Vodafone', 'Wind Tre', 'Iliad']},
    'ES': {'number': '34', 'language': 'es_ES', 'operator': ['Movistar', 'Orange', 'Vodafone', 'Yoigo']},
    'KR': {'number': '82', 'language': 'ko_KR', 'operator': ['SK Telecom', 'KT Corp', 'LG Uplus']},
    'SA': {'number': '966', 'language': 'ar_SA', 'operator': ['STC', 'Mobily', 'Zain']},
    'TR': {'number': '90', 'language': 'tr_TR', 'operator': ['Turkcell', 'Vodafone Turkey', 'Türk Telekom']},
    'AR': {'number': '54', 'language': 'es_AR', 'operator': ['Movistar', 'Personal', 'Claro']},
    'PH': {'number': '63', 'language': 'fil_PH', 'operator': ['Globe Telecom', 'Smart Communications', 'Sun Cellular']},
    'TH': {'number': '66', 'language': 'th_TH', 'operator': ['AIS', 'TrueMove H', 'DTAC']},
    'BD': {'number': '880', 'language': 'bn_BD', 'operator': ['Grameenphone', 'Robi', 'Airtel', 'Banglalink']},
    'MY': {'number': '60', 'language': 'ms_MY', 'operator': ['Maxis', 'Celcom', 'DiGi', 'U Mobile']},
    'VN': {'number': '84', 'language': 'vi_VN', 'operator': ['Viettel', 'Vinaphone', 'Mobifone']}}

COUNTRY_LIST = [line for line in list(COUNTRY.keys())]
COUNTRY_NAME = [{'ID': 'Indonesia'}, {'US': 'United States'}, {'CN': 'China'}, {'IN': 'India'}, {'JP': 'Japan'}, {'BR': 'Brazil'}, {'RU': 'Russia'}, {'DE': 'Germany'}, {'NG': 'Nigeria'}, {'MX': 'Mexico'}, {'AU': 'Australia'}, {'CA': 'Canada'}, {'GB': 'United Kingdom'}, {'FR': 'France'}, {'IT': 'Italy'}, {'ES': 'Spain'}, {'KR': 'South Korea'}, {'SA': 'Saudi Arabia'}, {'TR': 'Turkey'}, {'AR': 'Argentina'}, {'PH': 'Philippines'}, {'TH': 'Thailand'}, {'BD': 'Bangladesh'}, {'MY': 'Malaysia'}, {'VN': 'Vietnam'}]

THREADS_RELEASE = [
    {'version': '346.0.0.40.110', 'code': '636112770'},
    {'version': '357.0.0.50.109', 'code': '662318283'},
    {'version': '359.0.0.61.109', 'code': '667551319'},
    {'version': '348.1.0.44.109', 'code': '640443180'},
    {'version': '289.0.0.77.109', 'code': '489720161'},
    {'version': '303.0.0.22.112', 'code': '521858775'},
    {'version': '333.0.0.41.109', 'code': '603983131'},
    {'version': '295.1.0.18.61', 'code': '501823394'},
    {'version': '289.0.0.22.50', 'code': '489338310'}]

INSTAGRAM_RELEASE = [
    {'version': '313.0.0.26.328', 'code': '554218546'},
    {'version': '309.0.0.40.113', 'code': '536988425'},
    {'version': '303.0.0.40.109', 'code': '522819744'},
    {'version': '303.0.0.40.109', 'code': '522819738'},
    {'version': '309.1.1.28.108', 'code': '537288535'},
    {'version': '311.0.2.23.115', 'code': '545017126'},
    {'version': '312.0.1.19.124', 'code': '548339486'},
    {'version': '305.0.0.34.110', 'code': '527673577'},
    {'version': '314.0.0.20.114', 'code': '556277179'},
    {'version': '313.0.0.26.328', 'code': '554218055'},
    {'version': '313.0.0.26.328', 'code': '554218466'},
    {'version': '280.0.0.48.122', 'code': '233235247'},
    {'version': '207.0.0.39.120', 'code': '321039156'},
    {'version': '350.0.0.0.35', 'code': '642371207'}]